# cyclonedx.model.contact

## Classes

`PostalAddress` | This is our internal representation of the postalAddressType complex type that can be used in multiple places
`OrganizationalContact` | This is our internal representation of the organizationalContact complex type that can be used in multiple places
`OrganizationalEntity` | This is our internal representation of the organizationalEntity complex type that can be used in multiple places

## Module Contents

class cyclonedx.model.contact.PostalAddress(*, bom_ref: str | cyclonedx.model.bom_ref.BomRef | None = None, country: str | None = None, region: str | None = None, locality: str | None = None, post_office_box_number: str | None = None, postal_code: str | None = None, street_address: str | None = None)

  This is our internal representation of the postalAddressType complex type that can be used in multiple places within a CycloneDX BOM document.

  Note

  See the CycloneDX Schema definition: https://cyclonedx.org/docs/1.7/xml/#type_postalAddressType

  property country: str | None

    The country name or the two-letter ISO 3166-1 country code.

    Returns:

      str or None

  property region: str | None

    The region or state in the country. For example, Texas.

    Returns:

      str or None

  property locality: str | None

    The locality or city within the country. For example, Austin.

    Returns:

      str or None

  property post_office_box_number: str | None

    The post office box number. For example, 901.

    Returns:

      str or None

  property postal_code: str | None

    The postal code. For example, 78758.

    Returns:

      str or None

  property street_address: str | None

    The street address. For example, 100 Main Street.

    Returns:

      str or None

  property bom_ref: cyclonedx.model.bom_ref.BomRef

    An optional identifier which can be used to reference the component elsewhere in the BOM. Every bom-ref MUST be unique within the BOM.

    Returns:

      BomRef

class cyclonedx.model.contact.OrganizationalContact(*, bom_ref: str | cyclonedx.model.bom_ref.BomRef | None = None, name: str | None = None, phone: str | None = None, email: str | None = None)

  This is our internal representation of the organizationalContact complex type that can be used in multiple places within a CycloneDX BOM document.

  Note

  See the CycloneDX Schema definition: https://cyclonedx.org/docs/1.7/xml/#type_organizationalContact

  property name: str | None

    Get the name of the contact.

    Returns:

      str if set else None

  property email: str | None

    Get the email of the contact.

    Returns:

      str if set else None

  property phone: str | None

    Get the phone of the contact.

    Returns:

      str if set else None

  property bom_ref: cyclonedx.model.bom_ref.BomRef

    An optional identifier which can be used to reference the component elsewhere in the BOM. Every bom-ref MUST be unique within the BOM.

    Returns:

      BomRef

class cyclonedx.model.contact.OrganizationalEntity(*, bom_ref: str | cyclonedx.model.bom_ref.BomRef | None = None, name: str | None = None, urls: collections.abc.Iterable[cyclonedx.model.XsUri] | None = None, contacts: collections.abc.Iterable[OrganizationalContact] | None = None, address: PostalAddress | None = None)

  This is our internal representation of the organizationalEntity complex type that can be used in multiple places within a CycloneDX BOM document.

  Note

  See the CycloneDX Schema definition: https://cyclonedx.org/docs/1.7/xml/#type_organizationalEntity

  property name: str | None

    Get the name of the organization.

    Returns:

      str if set else None

  property address: PostalAddress | None

    The physical address (location) of the organization.

    Returns:

      PostalAddress or None

  property urls: SortedSet[XsUri]

    Get a list of URLs of the organization. Multiple URLs are allowed.

    Returns:

      Set of XsUri

  property contacts: SortedSet[OrganizationalContact]

    Get a list of contact person at the organization. Multiple contacts are allowed.

    Returns:

      Set of OrganizationalContact

  property bom_ref: cyclonedx.model.bom_ref.BomRef

    An optional identifier which can be used to reference the component elsewhere in the BOM. Every bom-ref MUST be unique within the BOM.

    Returns:

      BomRef